// Lock the loading screen.
var lockId = LoadScreen.lock();

var useDiagrams = true;

var importFiles = ['https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js'];
if(useDiagrams)
	importFiles.push('https://www.gstatic.com/charts/loader.js');

// Import jQuery UI.
var jUIPromise = importScripts(importFiles)
	.then(function () {
		// Unlock the load screen.
		LoadScreen.unlock(lockId);
	})
	.catch(function (err) {
		// There was an error loading the script, log it to the console.
		console.error(err);

		// Unlock the load screen.
		LoadScreen.unlock(lockId);
	});

importStyles("https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css")
